<?php

//* Remove the entry content
remove_action( 'genesis_entry_content', 'genesis_do_post_content' );

//* Remove the entry image
remove_action( 'genesis_entry_content', 'genesis_do_post_image', 8 );

//* If no featured image, display a specific backup from folder named random

add_action( 'genesis_entry_content', 'conditional_image' );

function conditional_image() {

global $wp_query;

$counter = $wp_query->current_post;

$featured_image = genesis_get_image( 'format=url&size=portfolio' );

$image_1 = sprintf( '%s/random/1.png', get_stylesheet_directory_uri() );

$image_2 = sprintf( '%s/random/2.png', get_stylesheet_directory_uri() );

$image_3 = sprintf( '%s/random/3.png', get_stylesheet_directory_uri() );

$image_4 = sprintf( '%s/random/4.png', get_stylesheet_directory_uri() );

$image_5 = sprintf( '%s/random/5.png', get_stylesheet_directory_uri() );

$image_6 = sprintf( '%s/random/6.png', get_stylesheet_directory_uri() );


if ( ( $counter == 0 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_1;

}

if ( ( $counter == 1 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_2;

}

if ( ( $counter == 2 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_3;

}

if ( ( $counter == 3 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_4;

}

if ( ( $counter == 4 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_5;

}

if ( ( $counter == 5 ) ) {

$output = has_post_thumbnail() ? $featured_image : $image_6;

}

printf( '<a href="%s" rel="bookmark"><img src="%s" alt="%s" /></a>', get_permalink(), $output, the_title_attribute( 'echo=0' ) );


}

//* Remove the entry meta in the entry footer
remove_action( 'genesis_entry_footer', 'genesis_entry_footer_markup_open', 5 );
remove_action( 'genesis_entry_footer', 'genesis_post_meta' );
remove_action( 'genesis_entry_footer', 'genesis_entry_footer_markup_close', 15 );



//* Run the Genesis loop
genesis();
